import httpClient from "../utils/request";

export const productList = () =>
  httpClient.request({
    url: "/mini-app/product/product-list",
  });

export const modelList = (params: any) =>
  httpClient.request({
    url: `/mini-app/product/model-list`,
    params,
  });

export const specList = (params: any) =>
  httpClient.request({
    url: "/mini-app/product/spec-list",
    params,
  });

export const addStockLog = (data: any) =>
  httpClient.request({
    url: "/mini-app/product/stock-log",
    method: "POST",
    data,
  });

export const stockLogList = (params: any) =>
  httpClient.request({
    url: "/mini-app/product/stock-log/list",
    params,
  });

export const storageList = (params: any) =>
  httpClient.request({
    url: "/mini-app/product/stock/list",
    params,
  });

export const stockStatistics = () =>
  httpClient.request({
    url: "/mini-app/product/stock/statistics",
  });
