import { getToken } from "./utils/settings";

// app.ts
App<IAppOption>({
  globalData: {
    authToken: undefined,
    permissions:[]
  },
  onLaunch() {
    // 展示本地存储能力
    const logs = wx.getStorageSync("logs") || [];
    logs.unshift(Date.now());
    wx.setStorageSync("logs", logs);
    this.globalData.authToken = getToken();
    // 登录
    wx.login({
      success: (res) => {
        console.log(res.code);
        // 发送 res.code 到后台换取 openId, sessionKey, unionId
      },
    });
  },
});
