import { login } from "../../api/login";
import { setToken } from "../../utils/settings";

// pages/login/login.ts
Page({
  /**
   * 页面的初始数据
   */
  data: {
    authToken: undefined,
  },

  loginWithWeChat(e: any) {
    login({
      code: e.detail.code,
    }).then((response: any) => {
      setToken(response.token);
      // setToken(response.token);
      wx.switchTab({
        url: "/pages/index/index",
      });
    });
  },
  handleLogout(){
    this.setData({
      authToken: undefined
    })
    setToken(undefined)
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
    const authToken = getApp().globalData.authToken;
    this.setData({
      authToken,
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {},
});
