export const setToken = (token?: string) => {
  getApp().globalData.authToken = token;
  wx.setStorage({
    key: "auth-token",
    data: token,
  });
};
// 如果不存在token，则跳转到身份选择页面
export const requiredAuth = () => {
  const app = getApp();
  if (!app.globalData.authToken) {
    wx.redirectTo({
      url: "/pages/login/login",
      fail: (err) => {
        console.log(err);
      },
    });
  }
};
export const getToken = () => {
  const token = wx.getStorageSync("auth-token");
  return token;
};
